Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.CatchClauseContext

- org.apache.groovy.parser.antlr4.GroovyParser.CatchClauseContext

-     public static class GroovyParser.CatchClauseContext
      extends GroovyParserRuleContext

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CatchClauseContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `CATCH()`
    `` | `public TerminalNode` | `LPAREN()`
    `` | `public TerminalNode` | `RPAREN()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public BlockContext` | `block()`
    `` | `public CatchTypeContext` | `catchType()`
    `` | `public int` | `getRuleIndex()`
    `` | `public IdentifierContext` | `identifier()`
    `` | `public NlsContext` | `nls()`
    `` | `public VariableModifiersOptContext` | `variableModifiersOpt()`

- - ### Constructor Detail

    - #### public CatchClauseContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public TerminalNode CATCH()

    - #### public TerminalNode LPAREN()

    - #### public TerminalNode RPAREN()

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public BlockContext block()

    - #### public CatchTypeContext catchType()

    - #### @Override
      public int getRuleIndex()

    - #### public IdentifierContext identifier()

    - #### public NlsContext nls()

    - #### public VariableModifiersOptContext variableModifiersOpt()